> ## Documentation Index
> Fetch the complete documentation index at: https://snowseo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Report

> Fetch one report including its full content document.

Fetch one report including its full `content` document. Returns `404` if the report doesn't belong to the team.


## OpenAPI

````yaml GET /v3/reports/{id}
openapi: 3.0.0
info:
  title: SnowSEO API
  description: API documentation for SnowSEO
  version: 1.0.0
servers:
  - url: https://api.snowseo.com
    description: Production server
security:
  - bearerAuth: []
  - apiKey: []
externalDocs:
  url: https://snowseo.com/docs
  description: Find more info here
paths:
  /v3/reports/{id}:
    get:
      tags:
        - Reports
      summary: Get a report
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  report:
                    type: object
                    additionalProperties: true
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      templateSlug:
                        type: string
                        nullable: true
                      content:
                        type: object
                        additionalProperties: true
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your SnowSEO API key (sk_...).
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.